bits/alloc_traits.h File Reference

Go to the source code of this file.

## Classes

struct | std::allocator_traits< _Alloc >
struct | std::allocator_traits< allocator< _Tp > >
struct | std::allocator_traits< allocator< void > >

## Namespaces

| std

## Macros

#define | __cpp_lib_allocator_traits_is_always_equal

## Typedefs

template<typename _Alloc >
using | std::_RequireAllocator = typename enable_if< __is_allocator< _Alloc >::value, _Alloc >::type
template<typename _Alloc >
using | std::_RequireNotAllocator = typename enable_if<!__is_allocator< _Alloc >::value, _Alloc >::type

## Functions

template<typename _Alloc >
constexpr void | std::__alloc_on_copy (_Alloc &__one, const _Alloc &__two)
template<typename _Alloc >
constexpr _Alloc | std::__alloc_on_copy (const _Alloc &__a)
template<typename _Alloc >
constexpr void | std::__alloc_on_move (_Alloc &__one, _Alloc &__two)
template<typename _Alloc >
constexpr void | std::__alloc_on_swap (_Alloc &__one, _Alloc &__two)
template<typename _ForwardIterator , typename _Allocator >
void | std::_Destroy (_ForwardIterator __first, _ForwardIterator __last, _Allocator &__alloc)
template<typename _ForwardIterator , typename _Tp >
void | std::_Destroy (_ForwardIterator __first, _ForwardIterator __last, allocator< _Tp > &)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file bits/alloc_traits.h.